Package com.independentsoft.office.spreadsheet.comments

# Class Comment

java.lang.Object
com.independentsoft.office.spreadsheet.comments.Comment

public class Comment extends Object
The Class Comment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Comment()`
  Instantiates a new comment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comment`
  `clone()`
  `long`
  `getAuthorID()`
  Gets the author id.
  `String`
  `getCellReference()`
  Gets the cell reference.
  `String`
  `getID()`
  Gets the id.
  `PhoneticProperties`
  `getPhoneticProperties()`
  Gets the phonetic properties.
  `List<Run>`
  `getRuns()`
  Gets the runs.
  `String`
  `getText()`
  Gets the text.
  `void`
  `setAuthorID​(long authorID)`
  Sets the author id.
  `void`
  `setCellReference​(String cellReference)`
  Sets the cell reference.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setText​(String text)`
  Sets the text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Comment

    public Comment()
    Instantiates a new comment.

- ## Method Details

  - ### clone

    public Comment clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRuns

    public List<Run> getRuns()
    Gets the runs.
    Returns:
      the runs

  - ### getPhoneticProperties

    public PhoneticProperties getPhoneticProperties()
    Gets the phonetic properties.
    Returns:
      the phonetic properties

  - ### getAuthorID

    public long getAuthorID()
    Gets the author id.
    Returns:
      the author id

  - ### setAuthorID

    public void setAuthorID​(long authorID)
    Sets the author id.
    Parameters:
      `authorID` - the new author id

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getCellReference

    public String getCellReference()
    Gets the cell reference.
    Returns:
      the cell reference

  - ### setCellReference

    public void setCellReference​(String cellReference)
    Sets the cell reference.
    Parameters:
      `cellReference` - the new cell reference

  - ### getText

    public String getText()
    Gets the text.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets the text.
    Parameters:
      `text` - the new text